package jp.co.intra_mart.sample.im_workflow;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;

public interface WorkflowArcMatterDeleteListenerService {

    /**
     * 過去案件削除処理リスナーの実行メソッド
     * <p>
     * @param loginGroupId
     * @param localeId
     * @param systemMatterId
     * @param userDataId
     * @param archiveMonth
     * @throws WorkflowException
     */
    void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId, final String archiveMonth) throws WorkflowException;

}
