package jp.co.intra_mart.sample.im_workflow.tsfw.domain.job;

import jp.co.intra_mart.foundation.job_scheduler.Job;
import jp.co.intra_mart.foundation.job_scheduler.JobResult;
import jp.co.intra_mart.foundation.job_scheduler.exception.JobExecuteException;
import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.framework.extension.spring.context.ApplicationContextProvider;

public class SampleApplyJob implements Job {

    @Override
    public JobResult execute() throws JobExecuteException {

        final SampleApplyJobService service = ApplicationContextProvider.getApplicationContext().getBean(SampleApplyJobService.class);
        try {
            return service.execute();
        } catch (final WorkflowException e) {
            throw new JobExecuteException(e);
        }
    }

}
