package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import jp.co.intra_mart.foundation.workflow.plugin.process.matter_end.MatterEndProcessEventListener;
import jp.co.intra_mart.foundation.workflow.plugin.process.matter_end.MatterEndProcessParameter;
import jp.co.intra_mart.framework.extension.spring.context.ApplicationContextProvider;
import jp.co.intra_mart.sample.im_workflow.MatterEndProcessService;

public class MatterEndProcess extends MatterEndProcessEventListener {

    public MatterEndProcess() {
        super();
    }

    /**
     * 案件終了処理プログラムの実行メソッド
     * <p>
     * @param parameter MatterEndProcessParameter
     * @return true/false
     * @throws Exception
     */
    @Override
    public boolean execute(final MatterEndProcessParameter parameter) throws Exception {
        // 案件終了処理のサービスを取得します。
        final MatterEndProcessService service = ApplicationContextProvider.getApplicationContext().getBean(MatterEndProcessService.class);
        return service.execute(parameter);
    }
}
